{
    "path": "$OET_PATH/testcases/function_test/pkg_test/cloc/cloc",
    "machine num": 1,
    "cases": [
        {
            "name": "test_cloc_install_package",
            "desc": "测试cloc软件包的安装功能，验证是否能够成功安装cloc软件包。",
            "machine num": 1
        },
        {
            "name": "test_cloc_uninstall_package",
            "desc": "测试cloc软件包的卸载功能，验证是否能够成功卸载cloc软件包。",
            "machine num": 1
        },
        {
            "name": "test_cloc_cloc_extract_with",
            "desc": "测试使用--extract-with参数提取二进制归档文件"
        },
        {
            "name": "test_cloc_cloc_list_file",
            "desc": "测试使用--list-file参数从文件中读取要处理的文件或目录列表"
        },
        {
            "name": "test_cloc_cloc_diff_list_files",
            "desc": "测试使用--diff-list-files参数从两个文件中读取要比较的文件和目录列表"
        },
        {
            "name": "test_cloc_cloc_vcs",
            "desc": "测试使用--vcs参数调用版本控制系统获取文件列表"
        },
        {
            "name": "test_cloc_cloc_unicode",
            "desc": "测试使用--unicode参数检查二进制文件是否包含Unicode扩展ASCII文本"
        },
        {
            "name": "test_cloc_cloc_autoconf",
            "desc": "测试使用--autoconf参数计数由GNU autoconf处理的.in文件"
        },
        {
            "name": "test_cloc_cloc_by_file",
            "desc": "测试使用--by-file参数报告每个源文件的结果"
        }
    ]
}